Retrieve a delta

Returns absence definitions that have changed since the last delta token.

Caution

Read the Delta page. There is important information on required implementation!

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-definitions?delta

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-absence-definitions.read

Response properties

Field Type Required Writable Description
changeVersion string — Read-only Property to indicate the order of changes.
id integer — Read-only Internal unique identifier for the absence definition.
name.default string — Read-only Default name value of the absence definition.
name.translations object — Read-only A list of translated names of the definition by language code.
code string — Read-only An absence code used for this definition.
friendlyName.default string — Read-only Default friendly name value for this definition shown to users.
friendlyName.translations object — Read-only A list of translated friendly names by language code.
friendlyCode.default string — Read-only Default friendly code value for this definition shown to users.
friendlyCode.translations object — Read-only A list of translated friendly codes by language code.
allowedDurations array — Read-only List of allowed durations (Unknown, FullDay, HalfDay, Interval, Duration).
isEnabled boolean — Read-only Indicates if the absence definition is enabled in myProtime.
isReasonForClocking boolean — Read-only Indicates if this absence can be used as a reason for clockings.
absenceGroup.id integer — Read-only The ID of the associated absence group.

Filters

This endpoint does not support filters. A delta always covers all absence definitions. A request that includes the filter query parameter is rejected with 400 Bad Request, both when starting a delta (?delta) and when following a deltaLink.

External references

The endpoint supports custom external references. See the external references page for details.

The following collections are supported for this endpoint:

Collection Predefined Custom
absence-definitions Not available Supported
absence-groups Not available Supported

Error responses

Status Condition
400 Unsupported query parameter, such as filter
401 Missing or invalid access token, or insufficient scope
410 Delta token has expired (older than 72 hours)
414 Request URI too long

Examples

Retrieving delta changes for absence definitions

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/absence-definitions?delta